Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.model.meta
Class RemoteDeviceIdentity

    java.lang.Object
      org.teleal.cling.model.meta.DeviceIdentity
          org.teleal.cling.model.meta.RemoteDeviceIdentity

    public class RemoteDeviceIdentity

extends DeviceIdentity

Additional identifying information only relevant for discovered remote devices.

This information always includes the URL of the device's descriptor, and the local base URL we should use in the future whenever anything is offered to this remote device. (The local base URL is an address/subnet reachable by the remote host.)

Optional is the remote hosts interface MAC hardware address. If we have it, we can use it to send Wake-On-LAN broadcasts if we think the remote host is not reachable and might be sleeping. (Useful for "stateless" reconnecting control points.)

Author:
  Christian Bauer

Constructor Summary
`RemoteDeviceIdentity(UDN udn, Integer maxAgeSeconds, URL descriptorURL, byte[] interfaceMacAddress, InetAddress localBindAddress, int localStreamPort)`
`RemoteDeviceIdentity(UDN udn, Integer maxAgeSeconds, URL descriptorURL, byte[] interfaceMacAddress, URL localBaseURL)`
`RemoteDeviceIdentity(UDN udn, RemoteDeviceIdentity template)`

Method Summary
`URL` | `getDescriptorURL()`
`byte[]` | `getInterfaceMacAddress()`
`URL` | `getLocalBaseURL()`
`byte[]` | `getWakeOnLANBytes()`
`String` | `toString()`

Methods inherited from class org.teleal.cling.model.meta.DeviceIdentity
`equals, getMaxAgeSeconds, getUdn, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RemoteDeviceIdentity

    public RemoteDeviceIdentity(UDN udn,
                                RemoteDeviceIdentity template)

### RemoteDeviceIdentity

    public RemoteDeviceIdentity(UDN udn,
                                Integer maxAgeSeconds,
                                URL descriptorURL,
                                byte[] interfaceMacAddress,
                                URL localBaseURL)

### RemoteDeviceIdentity

    public RemoteDeviceIdentity(UDN udn,
                                Integer maxAgeSeconds,
                                URL descriptorURL,
                                byte[] interfaceMacAddress,
                                InetAddress localBindAddress,
                                int localStreamPort)

Method Detail

### getDescriptorURL

    public URL getDescriptorURL()

### getInterfaceMacAddress

    public byte[] getInterfaceMacAddress()

### getLocalBaseURL

    public URL getLocalBaseURL()

### getWakeOnLANBytes

    public byte[] getWakeOnLANBytes()

### toString

    public String toString()

  Overrides:
    `toString` in class `DeviceIdentity`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Teleal GmbH, Switzerland. All Rights Reserved.